package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.hardware.DcMotor;
import com.qualcomm.robotcore.hardware.DcMotorSimple;

public class MovementLibrary {
    public static void setDirectionForward(DcMotor rhw, DcMotor rlw, DcMotor lhw, DcMotor llw){
        rhw.setDirection(DcMotor.Direction.REVERSE);
        rlw.setDirection(DcMotor.Direction.FORWARD);
        lhw.setDirection(DcMotorSimple.Direction.FORWARD);
        llw.setDirection(DcMotorSimple.Direction.REVERSE);}

    public static void setDirectionBackward(DcMotor rhw, DcMotor rlw, DcMotor lhw, DcMotor llw){
        rhw.setDirection(DcMotor.Direction.FORWARD);
        rlw.setDirection(DcMotor.Direction.REVERSE);
        lhw.setDirection(DcMotorSimple.Direction.REVERSE);
        llw.setDirection(DcMotorSimple.Direction.FORWARD);
    }

    public static void setSpeed (double speedValue,DcMotor rhw, DcMotor rlw, DcMotor lhw, DcMotor llw){
        rhw.setPower(speedValue);
        rlw.setPower(speedValue);
        llw.setPower(speedValue);
        lhw.setPower(speedValue);


    }
    public static void setDirectionRight(DcMotor rhw, DcMotor rlw, DcMotor lhw, DcMotor llw){
        rhw.setDirection(DcMotor.Direction.REVERSE);
        rlw.setDirection(DcMotor.Direction.REVERSE);
        lhw.setDirection(DcMotorSimple.Direction.FORWARD);
        llw.setDirection(DcMotorSimple.Direction.FORWARD);

    }
    public static void setDirectionLeft(DcMotor rhw, DcMotor rlw, DcMotor lhw, DcMotor llw){
        rhw.setDirection(DcMotor.Direction.FORWARD);
        rlw.setDirection(DcMotor.Direction.FORWARD);
        lhw.setDirection(DcMotorSimple.Direction.REVERSE);
        llw.setDirection(DcMotorSimple.Direction.REVERSE);
    }
}
